a.button {
  background-color: var(--almost-black);
  border-radius: 1.5rem;
  color: var(--light-beige);
  display: inline-flex;
  gap: 0.5rem;
  padding: 0.75rem 1.5rem;
}

a#browse-examples {
  line-height: 3rem;
}

blockquote {
  align-self: flex-start;
  border: 0.1rem solid var(--light-gray);
  border-radius: 1rem;
  padding: 1rem;
  position: relative;

  p {
    font-size: 1.25rem;
    margin: 0 0 1rem !important;

    &::before {
      color: var(--python-yellow);
      content: "“";
      font-size: 3rem;
      line-height: 0;
      position: relative;
      top: 1.25rem;
    }

    &::after {
      color: var(--python-yellow);
      content: "”";
      font-size: 3rem;
      line-height: 0;
      position: relative;
      top: 1.25rem;
    }
  }

  footer {
    color: var(--light-gray);
    text-align: right;
  }
}

button.example {
  background-color: var(--medium-beige);
  border-radius: 2rem;
  margin: 1rem 0;
  padding: 0.75rem 1.5rem;
  width: 100%;

  &.active {
    background-color: var(--real-white);

    &::after {
      content: "✓";
      font-size: 1.5rem;
    }
  }
}

code {
  display: none;
}

div.columns-2 {
  display: flex;
  flex-wrap: wrap;
  gap: 2.5rem;

  > * {
    flex: 1 1 20rem;

    p {
      margin: 2rem 0;
    }
  }
}

h1, h2, h3 {
  font-family: serif;
  font-weight: normal;
  letter-spacing: -0.05em;
}

h1 {
  font-size: clamp(4rem, 7vw, 6.5rem);
  line-height: 0.9em;
}

h2 {
  font-size: clamp(2rem, 6vw, 3.5rem);
}

h3 {
  font-size: 2rem;
  margin: 1rem 0;
}

iframe {
  border-radius: 1rem;
  height: 32rem;
  min-width: 34rem;
  overflow-y: hidden;
  width: 100%;
}

main {
  > header {
    align-items: flex-start;
    border-bottom: 0.1rem solid var(--light-gray);
    display: flex;
    gap: 1rem;
    justify-content: space-between;
    line-height: 2rem;
    padding: 1rem 2rem;
    white-space: nowrap;

    nav {
      display: flex;
      flex-wrap: wrap;
      justify-content: flex-end;
      gap: 0 2rem;
    }
  }

  > footer {
    align-items: flex-start;
    border-top: 0.1rem solid var(--almost-black);
    color: var(--python-gray);
    display: flex;
    gap: 1rem;
    line-height: 2rem;
    overflow-x: auto;
    scrollbar-width: none;
    padding: 1rem 2rem;
    white-space: nowrap;
  }
}

ol {
  list-style-type: none;
}

ol#numbers {
  border-top: 0.1rem solid var(--light-gray);
  display: flex;
  justify-content: space-between;
  margin-top: 4rem;
  padding: 1rem 0 0;

  > li {
    p {
      margin: 0;
      
      &:first-child {
        color: var(--almost-black);
        font-family: monospace;

        &.big {
          font-size: 2rem;
        }

        &.bigger {
          font-size: 4rem;
          line-height: 3rem;
        }
      }

      &:last-child {
        color: var(--python-gray);
        font-size: 0.75rem;
        text-transform: uppercase;
        letter-spacing: 0.05em;
      }
    }
  }
}

p {
  color: var(--python-gray);
  line-height: 1.5;
}

section {
  padding: 6rem 2rem;
}

section#educators {
  background-color: var(--almost-black);
  color: var(--light-beige);

  p {
    color: var(--light-beige);
  }
}

section#examples {
  background-color: var(--dark-beige);
  border-top: 0.1rem solid var(--light-gray);
  border-bottom: 0.1rem solid var(--light-gray);

  > div:first-child {
    margin-bottom: 2rem;
  }
}

section#features {
  ol.boxes-3-2-1 {
    background-color: var(--light-gray);
    border: 0.1rem solid var(--light-gray);
    border-radius: 1rem;
    display: flex;
    flex-wrap: wrap;
    gap: 0.1rem;
    margin-top: 3rem;
    overflow: hidden;

    > li {
      background-color: var(--light-beige);
      flex: 1 1 33%;
      padding: 1.5rem 1.5rem 1rem;
      min-width: 18rem;

      svg {
        height: 3rem;
        width: 3rem;
      }

      p {
        color: var(--python-gray);
        margin: 1rem 0;
      }
    }
  }
}

section#how-it-works {
  ol.boxes-4-2-1 {
    background-color: var(--light-gray);
    border: 0.1rem solid var(--light-gray);
    border-radius: 1rem;
    container-type: inline-size;
    display: flex;
    flex-wrap: wrap;
    gap: 0.1rem;
    margin-top: 3rem;
    overflow: hidden;

    > li {
      background-color: var(--light-beige);
      flex: 1 1 calc(25% - 0.75rem);
      padding: 0.5rem 1.5rem;

      p {
        color: var(--python-gray);
        margin: 1rem 0;
      }
    }
  }

  @container (max-width: 54rem) {
    ol.boxes-4-2-1 > li {
      flex-basis: calc(50% - 0.5rem);
    }
  }

  @container (max-width: 27rem) {
    ol.boxes-4-2-1 > li {
      flex-basis: 100%;
    }
  }
}

section#start {
  text-align: center;

  h2 {
    font-size: clamp(2.5rem, 10vw, 6.5rem);
    margin-bottom: 3rem;

    span {
      display: block;
    }
  }

  ol#free-forever-in-your-browser {
    display: flex;
    justify-content: center;
    margin-top: 1rem;

    > li {
      & + li:before {
        content: "·";
        margin: 0 0.5rem;
      }
    }

  }
}

section#try {
  position: relative;

  &::before {
    background-image: linear-gradient(var(--dark-beige) 0.1rem, transparent 0.1rem), linear-gradient(90deg, var(--dark-beige) 0.1rem, transparent 0.1rem);
    background-size: 2.5rem 2.5rem;
    content: "";
    inset: 0;
    opacity: 0.5;
    position: absolute;
    z-index: -1;
  }

  span.share-the-link {
    display: inline-block;

    svg {
      color: var(--python-yellow);
      display: block;
      margin-top: -4.25rem;
      width: 5em;
    }
  }

  p {
    margin-top: -1rem;
  }

  a.button {
    margin-right: 2rem;
  }
}

span {
  white-space: nowrap;
}

span.hit-run,
span.nothing-you-dont,
span.four-steps,
span.thirty-students,
span.start-typing {
  color: var(--python-blue);
  font-style: italic;
}

span.thirty-students {
  color: var(--python-yellow);
}

span.start-typing {
  &::before {
    content: "";
    display: inline-block;
    padding-left: 1em;
  }

  &:after {
    content: "▎";
    color: var(--python-yellow);
    margin-left: .1em;
    animation: 1.1s step-end infinite blink;
  }
}

@keyframes blink {
  50% {
    opacity: 0
  }
}
